## org.apache.naming.resources
Class DirContextURLStreamHandlerFactory

    java.lang.Object
      org.apache.naming.resources.DirContextURLStreamHandlerFactory

All Implemented Interfaces:
  java.net.URLStreamHandlerFactory

public class DirContextURLStreamHandlerFactory
extends java.lang.Object
implements java.net.URLStreamHandlerFactory

Factory for Stream handlers to a JNDI directory context.

Version:
  $Revision: 1.4 $
Author:
  Remy Maucherat

Constructor Summary
`DirContextURLStreamHandlerFactory()`

Method Summary
`java.net.URLStreamHandler` `createURLStreamHandler(java.lang.String protocol)` Creates a new URLStreamHandler instance with the specified protocol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirContextURLStreamHandlerFactory

    public DirContextURLStreamHandlerFactory()

Method Detail

### createURLStreamHandler

    public java.net.URLStreamHandler createURLStreamHandler(java.lang.String protocol)

  Creates a new URLStreamHandler instance with the specified protocol. Will return null if the protocol is not `jndi`.

  Specified by:
    `createURLStreamHandler` in interface `java.net.URLStreamHandlerFactory`
  Parameters:
    `protocol` - the protocol (must be "jndi" here)
  Returns:
    a URLStreamHandler for the jndi protocol, or null if the protocol is not JNDI

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.